Building Audacity 2.2.0 on Ubuntu 17.04 (Zesty)

Building and customizing Audacity from the source code.

If you require help using Audacity, please post on the forum board relevant to your operating system:
Windows
Mac OS X
GNU/Linux and Unix-like

Building Audacity 2.2.0 on Ubuntu 17.04 (Zesty)

Permanent link to this post Posted by steve » Mon Jul 24, 2017 2:40 am

These steps were tested with Audacity 2.2.0 alpha July 24th on a clean installation of Ubuntu 17.04 (Zesty Zapus) 64-bit.
They should also work on other flavours of Ubuntu 17.04
If any other version of Audacity is already installed, I would recommend uninstalling it before starting these steps.

When the instructions say to install a named package (for example "build-essentials"), that can either be done with your preferred package manager (such as Synaptic or the Software Centre), or from the command line in a terminal window using the command given in the code block.

Prerequisites:

By default, the source code repositories are not enabled in Ubuntu 17.04. They must be enabled.
  1. Launch "Software and Updates"
  2. In the "Ubuntu Software" tab, ensure that the 5 checkboxes are enabled (Not the "cdrom" option in the box at the bottom).
  3. In the "Updates" tab, ensures that "Important security updates" and "Recommended updates" are selected
  4. Click the "Close" button
  5. Reload the software list when prompted

Ensure that the system is fully updated:
Code: Select all
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade


(Although not usually required, some updates require a reboot to take effect, and there is no harm in rebooting at this point.)

Install "build-essential". (this may already be installed, in which case this command will inform you).
Code: Select all
sudo apt-get install build-essential



Dependencies:

The simplest way to satisfy all dependencies for building Audacity is from the command line (in a Terminal window)
Code: Select all
sudo apt-get build-dep audacity

(For a minimal number of installed packages, see Note 1 at end of post.)


Download the Audacity source code:
Go to https://github.com/audacity/audacity and click on the green "Clone or download" button, then select "Download Zip".
When the download is complete, extract the contents of the zip file to a convenient location. It will create a folder called "audacity-master" that contains the full source code tree,


Configure and Build Audacity:

Open a terminal window in the "audacity-master" folder and enter the following commands:
Code: Select all
mkdir build
cd build
mkdir "Portable Settings"


Configure:
Code: Select all
../configure --with-lib-preference="local system" --with-ffmpeg=system


and build
Code: Select all
make



If your computer has multiple cores, building can be made quicker by adding the "-j" ("jobs") switch followed by the number of cores that your processor has. For example, for a quad core processor:
Code: Select all
make -j 4


When the build has completed (assuming no errors) Audacity can be launched with:
Code: Select all
./audacity



Building the optional Nyquist Workbench Module:
If you wish to build Nyquist Workbench, it must be done on the same day as Audacity is built.
  1. Build the module
    Code: Select all
    make modules
  2. Eable Nyquist Workbench:
    • Launch Audacity
    • Enable Nyquist Workbench in "Edit->Preferences->modules"
    • Restart Audacity.
Nyquist Workbench should now be available in the "Select" menu.

Installing Audacity:

When you are satisfied that Audacity is built and working correctly, install with:
Code: Select all
sudo make install


If the optional Nyquist Workbench was built, to install it:
  1. Copy modules to Audacity installation folder:
    Code: Select all
    sudo cp -r modules/ /usr/local/share/audacity/
  2. Eable Nyquist Workbench:
    • Launch Audacity as you would any other installed application (for example, search the Ubuntu Dash)
    • Enable Nyquist Workbench in "Edit->Preferences->modules"
    • Restart Audacity.


=========================

Additional information:

Note 1.

The minimum requirements for building Audacity are: libwxgtk3.0-dev zlib1g-dev cmake libasound2-dev libexpat1-dev libgtk2.0-dev
(Installing these dependencies may pull in additional dependencies as required)
For jack support, libjack-dev is also required.
For ffmpeg, libavformat-dev is required

If libavformat-dev and its dependencies are not installed, the configure command should be run as:
Code: Select all
../configure --with-lib-preference="local system" --without-ffmpeg


LAME and FFmpeg are optional. LAME provides support for MP3 encoding, and FFmpeg provides support for many additional formats.
If required, they can be installed:
Code: Select all
sudo apt-get install ffmpeg libmp3lame0
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 45312
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Return to Compiling Audacity



Who is online

Users browsing this forum: No registered users and 1 guest